if (isNaN(parseInt(this.item.system.specification.value))) {
  let value = await ValueDialog.create({title : "Valeur d'Armure", text : "Entrez la valeur d'Armure"});
  if (value) {
    this.item.updateSource({"system.specification.value" : value});
  }
}